Ltx 2.3 Quality · Render to Real
集成
模型 id
ltx-2.3-quality/render-to-real
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltx-2.3-quality/render-to-real?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ltx-2.3-quality/render-to-real?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ltx-2.3-quality/render-to-real", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "ltx-2.3-quality/render-to-real",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
}
通过 Doitong API 调用 Ltx 2.3 Quality · Render to Real 模型(ltx-2.3-quality/render-to-real)。智能体文档:https://doitong.com/zh/developers/models/ltx-2.3-quality/render-to-real.md
POST https://api.doitong.ru/v1/run/ltx-2.3-quality/render-to-real?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
如果响应状态为 "queued" 或 "running",请轮询 GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20,直到状态变为 "succeeded";文件位于 outputs[].url。使用相同请求体 POST https://api.doitong.ru/v1/quote/ltx-2.3-quality/render-to-real,可在运行前返回确切价格。
与示例类似的文件: $0.27 270 API 积分 · ≈ ₽29.05 运行前会测量你的文件 在此页面运行
你的新 API 密钥。 它仅在此时显示,并且已填入下方的代码和 API 密钥字段中。请妥善保密:切勿将其放入在浏览器中运行的代码。
构建请求
控件根据模型架构生成。更改控件时,代码和价格会同步更新。
POST
/run/ltx-2.3-quality/render-to-real?wait=20
报价 → $0.27
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltx-2.3-quality/render-to-real?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ltx-2.3-quality/render-to-real?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ltx-2.3-quality/render-to-real", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "ltx-2.3-quality/render-to-real",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
},
"wait_seconds": 20
}
}
}
关于 Ltx 2.3 Quality · Render to Real
将通过 `video_url` 提供的 3D 渲染转换为更逼真的画面。`intensity` 可设为 light、strong 或 strong-v2,强度从柔和到激进。可选的 `image_url` 设置逼真的首帧,`enable_detail_refine` 会使用 `detail_refine_strength`(0.3 到 0.95)增加第二次锐化处理。提示词保留 `3DREAL` 触发词,输出为 480p 或 720p。
参数
发送规范名称或原生名称之一,不要同时发送两者。 规范名称
名称类型
默认值允许值
描述
video_url必填
video
类型url · video
指向 3D、CG 或游戏渲染视频的 URL,用于转换为照片级真实效果。
image_url可选
image
类型url · image
可选的第 0 帧图像锚点,用于确定照片级真实感外观。未提供时,只有渲染结果会引导输出;提供后,该图像会成为第一帧,符合适配器的图像转视频训练方式。
intensity可选
类型enum
默认值light
lightstrongstrong-v2
照片级真实感转换级别,其中 `strong-v2` 会选择最新改进的适配器,以提升场景、音频、说话角色和整体质量的一致性。其他选项中,选择 `light` 可保留更多源渲染外观和运动,选择 `strong` 则会更激进地转向照片级真实感。
enable_detail_refine可选
类型boolean
默认值false
启用额外的细化阶段以提高清晰度和分辨率;默认禁用。基础生成完成后,空间放大器会将视频潜变量放大 2x,然后使用蒸馏模型通过短暂的细节增强阶段进行细化。
detail_refine_strength可选
类型number
默认值0.75
0.3 – 0.95
细节增强去噪强度,默认值为 0.75,仅在启用 `enable_detail_refine` 时适用。要进行更温和且保留基础结果的编辑,请使用较低值;提高该值会更大程度地重新生成细节,但也可能产生更大偏差。
prompt可选
类型string
默认值3DREAL.
所需照片级真实感结果的文本提示词,写在预填充的 `3DREAL` 适配器激活触发词之后。清空提示词或启用提示词扩展都不会移除该触发词;它始终会保留。
resolution可选
类型enum
默认值720p
480p720p
在保留源宽高比的同时选择输出短边分辨率:480p 对最长约 15 秒的片段生成较柔和的结果,720p 对最长约 6 秒的片段生成更清晰的结果。较长片段请选择 480p,因为 IC-LoRA 控制路径限制分辨率与帧数的乘积;超过该预算的请求会返回明确错误。使用 `num_frames` / `frames_per_second` 计算输出时长。
num_frames可选
类型integer
默认值121
9 – 481
输出帧数,受 IC-LoRA 的分辨率与帧数乘积预算限制:720p 约 6 秒,480p 约 15 秒。超过预算时返回 422;请减少 `num_frames` 或选择 480p。片段时长(秒)等于 `num_frames` / `frames_per_second`。
frames_per_second可选
类型number
默认值24
1 – 60
输出视频帧率,以每秒帧数为单位。
num_inference_steps可选
类型integer
默认值15
8 – 30
设置运行的推理步骤数,最多 30;保持不变时使用 15。
guidance_scale可选
类型number
默认值1
1 – 20
使用此比例调整 classifier-free guidance;其默认调校兼顾高质量和快速生成。
generate_audio可选
类型boolean
默认值true
返回 MP4 的音轨开关:关闭时生成仅包含视频的文件,开启时包含音频。
negative_prompt可选
类型string
默认值color distortion, overexposure, static, blurry details, subtitles, style, artwork, painting, frame, still, dim overall tone, worst quality, low quality, JPEG compression artifacts, ugly, mutilated, extra fingers, poorly drawn hands, poorly drawn face, deformed, disfigured, malformed limbs, fused fingers, motionless frame, cluttered background, three legs, crowded background, walking backwards
指定生成应避免内容的负面提示词。
enable_prompt_expansion可选
类型boolean
默认值false
基于 AI 的生成提示词增强,默认禁用,因此你的措辞会原样传递。输出会报告实际使用的提示词,并始终保留 `3DREAL`;启用扩展后,AI 模型会在生成前扩展描述。
seed可选
类型integer | null
使生成结果可复现的种子。设置为 None 时会随机选择种子。
enable_safety_checker可选
类型boolean
默认值true
控制是否启用安全检查。
video_quality可选
类型enum
默认值high
lowmediumhighmaximum
应用于输出视频的质量预设。
video_write_mode可选
类型enum
默认值balanced
fastbalancedsmall
结果视频的写入模式。
必填
规范名称,也可接受
文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件
输出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "ltx-2.3-quality/render-to-real",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 270,
"usd": "0.27",
"charged": 270,
"refunded": 0
},
"input": {
"video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
},
"seed": 42,
"prompt": "string"
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
- video
- object {url, content_type, file_name, file_size}模型生成的视频。
- seed
- integer生成期间实际使用的种子。
- prompt
- string生成提示词,包括使用前应用的任何扩展内容。
其他 LTX 2.3 Quality 变体
更多模型:视频转换
对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/ltx-2.3-quality/render-to-real.md. 所有模型和指南: https://doitong.com/developers/llms.txt